Private Member Functions | Private Attributes

# LanguagePackGlyphSearcher Class Reference

Helper for searching through the language pack. More...

Inheritance diagram for LanguagePackGlyphSearcher:

## Private Member Functions
void | Reset ()
| Reset the search, i.e.
FontSize | DefaultSize ()
| Get the default (font) size of the string.
const char * | NextString ()
| Get the next string to search through.
bool | Monospace ()
| Whether to search for a monospace font or not.
void | SetFontNames (FreeTypeSettings *settings, const char *font_name)
| Set the right font names.
## Private Attributes
uint | i
| Iterator for the primary language tables.
uint | j
| Iterator for the secondary language tables.

## Detailed Description

Helper for searching through the language pack.

Definition at line 2036 of file strings.cpp.

## Member Function Documentation

FontSize LanguagePackGlyphSearcher::DefaultSize | ( |  | ) | `[inline, private, virtual]`

Get the default (font) size of the string.

Returns:
  The font size.

Implements MissingGlyphSearcher.

Definition at line 2046 of file strings.cpp.

bool LanguagePackGlyphSearcher::Monospace | ( |  | ) | `[inline, private, virtual]`

Whether to search for a monospace font or not.

Returns:
  True if searching for monospace.

Implements MissingGlyphSearcher.

Definition at line 2066 of file strings.cpp.

const char* LanguagePackGlyphSearcher::NextString | ( |  | ) | `[inline, private, virtual]`

Get the next string to search through.

Returns:
  The next string or NULL if there is none.

Implements MissingGlyphSearcher.

Definition at line 2051 of file strings.cpp.

References _langtab_num, _langtab_start, j, and TAB_COUNT.

void LanguagePackGlyphSearcher::Reset | ( |  | ) | `[inline, private, virtual]`

Reset the search, i.e.

begin from the beginning again.

Implements MissingGlyphSearcher.

Definition at line 2040 of file strings.cpp.

References j.

void LanguagePackGlyphSearcher::SetFontNames | ( | FreeTypeSettings * | settings,
|  | const char * | font_name |
| ) |  |  | `[inline, private, virtual]`

Set the right font names.

Parameters:

  | settings | The settings to modify.
  | font_name | The new font name.

Implements MissingGlyphSearcher.

Definition at line 2071 of file strings.cpp.

References FreeTypeSubSetting::font, FreeTypeSettings::large, lastof, FreeTypeSettings::medium, FreeTypeSettings::small, and strecpy().

The documentation for this class was generated from the following file:

- src/strings.cpp